Support Questions
Find answers, ask questions, and share your expertise

​HDP 3.0 Repositories Broken?

Solved Go to solution

​HDP 3.0 Repositories Broken?

Working with Ambari 2.7 and HDP 3.0 today.

When i use the HDP 3.0 repos from the following url:

https://docs.hortonworks.com/HDPDocuments/Ambari-2.7.0.0/bk_ambari-installation/content/hdp_30_repos...

I get a:

No package ambari-server available.
No package ambari-agent available.

I had to use the older repos for 2.7 to install server and agent. After getting the Installer to Step 9, the install fails because HDP 3.0 repos were put back into master and agent nodes ambari.repo file. I had to replace with the old 2.7 repos in order to get anything to install.

Is the HDP 3.0 Repository broken?

*** Edited: No. Repository is fine. I had dropped the hdp.repo url into my wget for ambari.repo file.

1 ACCEPTED SOLUTION

Accepted Solutions

Re: ​HDP 3.0 Repositories Broken?

Mentor

@Steven Matison

As of yesterday they weren't broken I used the below repositories yesterday and my installation was successful, can you compare the below with your repo files?

wget -nv http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.7.0.0/ambari.repo
wget -nv  http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/hdp.gpl.repo 
wget -nv  http://public-repo-1.hortonworks.com/HDP/centos7/3.x/updates/3.0.0.0/hdp.repo 

HTH

View solution in original post

2 REPLIES 2

Re: ​HDP 3.0 Repositories Broken?

Mentor

@Steven Matison

As of yesterday they weren't broken I used the below repositories yesterday and my installation was successful, can you compare the below with your repo files?

wget -nv http://public-repo-1.hortonworks.com/ambari/centos7/2.x/updates/2.7.0.0/ambari.repo
wget -nv  http://public-repo-1.hortonworks.com/HDP-GPL/centos7/3.x/updates/3.0.0.0/hdp.gpl.repo 
wget -nv  http://public-repo-1.hortonworks.com/HDP/centos7/3.x/updates/3.0.0.0/hdp.repo 

HTH

View solution in original post

Re: ​HDP 3.0 Repositories Broken?

@Geoffrey Shelton Okot those are the correct repo files and I realized what I had done wrong. Thanks!